Beta Ramps API
Orders

Get Orders

GET
/orders

Authorization

headerAuthorizationBearer <token>

Scope: orders:read

Query Parameters

limit?integer

Page size (1-100).

Range1 <= value <= 100
Default20
cursor?string

Opaque cursor from pagination.next_cursor.

status?string

Comma-separated statuses to filter: pending,processing,completed,canceled.

order_type?string

Comma-separated order types to filter.

asset?string

Filter by asset code.

subaccount_id?string

Filter by subaccount (prefix sub_).

created_from?string

RFC3339 lower bound on created_at.

Formatdate-time
created_to?string

RFC3339 upper bound on created_at.

Formatdate-time
include_total?boolean

When true, adds pagination.total.

Response Body

A page of orders.

application/json
  1. response
data*array<>
pagination*

Cursor pagination metadata.

Example Request
curl -X GET 'https://api.betaramps.com/orders'
Example Response
{  "data": [    {      "id": "ord_0192f4e3-8a9b-7c6d-5e4f-3a2b1c0d9e8f",      "type": "withdrawal",      "status": "completed",      "source_origin": "sub_0192f4e3-8a9b-7c6d-5e4f-3a2b1c0d9e8f",      "source_asset": "USDC",      "target_asset": "USDC",      "source_amount": "100",      "target_amount": "97.5",      "fee": "2.5",      "external_reference": "payout-1001",      "created_at": "2026-01-15T10:00:00Z",      "completed_at": "2026-01-15T10:05:00Z"    }  ],  "pagination": {    "has_more": false,    "next_cursor": null  }}